# Firejail profile for pragha
# Description: A lightweight GTK music player
# This file is overwritten after every install/update
# Persistent local customizations
include pragha.local
# Persistent global definitions
include globals.local

noblacklist ${HOME}/.config/pragha
noblacklist ${MUSIC}

include disable-common.inc
include disable-devel.inc
include disable-exec.inc
include disable-interpreters.inc
include disable-programs.inc
include disable-xdg.inc

include whitelist-var-common.inc

caps.drop all
netfilter
no3d
nogroups
noinput
nonewprivs
noroot
notv
nou2f
novideo
protocol unix,inet,inet6
seccomp

private-dev
private-etc @tls-ca,@x11,host.conf
private-tmp

restrict-namespaces
